Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.domain
Class Day

    java.lang.Object
      net.sourceforge.pebble.domain.TimePeriod
          net.sourceforge.pebble.domain.Day

All Implemented Interfaces:
  Permalinkable

    public class Day

extends TimePeriod
implements Permalinkable

Represents a blog at a daily level. This manages a collection of BlogEntry instances.

Author:
  Simon Brown

Method Summary
`void` | `addPublishedBlogEntry(java.lang.String blogEntryId)`
`void` | `addUnpublishedBlogEntry(java.lang.String blogEntryId)`
`boolean` | `before(Day day)` Determines if the this Day is before (in the calendar) the specified Day.
`java.util.List<java.lang.String>` | `getBlogEntries()` Gets a Collection containing all the blog entries for this day.
`int` | `getDay()` Gets the day that this Day is for.
`java.util.Date` | `getEndOfDay()`
`java.lang.String` | `getFirstBlogEntry()` Gets the first entry that was posted on this day.
`java.lang.String` | `getLastBlogEntry()` Gets the last entry that was posted on this day.
`Month` | `getMonth()` Gets a reference to the parent Month instance.
`java.lang.String` | `getNextBlogEntry(java.lang.String blogEntry)` Gets the blog entry posted next (afterwards) to the one specified.
`Day` | `getNextDay()` Gets the Day instance for the next day.
`int` | `getNumberOfBlogEntries()`
`java.lang.String` | `getPermalink()` Gets the permalink to display all entries for this Day.
`java.lang.String` | `getPreviousBlogEntry(java.lang.String blogEntry)` Gets the blog entry posted previous (before) to the one specified.
`Day` | `getPreviousDay()` Gets the Day instance for the previous day.
`java.util.Date` | `getStartOfDay()`
`boolean` | `hasBlogEntries()` Determines whether this day has entries.
`void` | `removeBlogEntry(BlogEntry blogEntry)`

Methods inherited from class net.sourceforge.pebble.domain.TimePeriod
`getBlog, getDate, setDate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMonth

    public Month getMonth()

  Gets a reference to the parent Month instance.

  Returns:
    a Month instance

### getDay

    public int getDay()

  Gets the day that this Day is for.

  Returns:
    an int representing the day in the month

### getPermalink

    public java.lang.String getPermalink()

  Gets the permalink to display all entries for this Day.

  Specified by:
    `getPermalink` in interface `Permalinkable`
  Returns:
    an absolute URL

### getBlogEntries

    public java.util.List<java.lang.String> getBlogEntries()

  Gets a Collection containing all the blog entries for this day.

  Returns:
    an ordered List of BlogEntry instances

### getNumberOfBlogEntries

    public int getNumberOfBlogEntries()

### addPublishedBlogEntry

    public void addPublishedBlogEntry(java.lang.String blogEntryId)

### addUnpublishedBlogEntry

    public void addUnpublishedBlogEntry(java.lang.String blogEntryId)

### removeBlogEntry

    public void removeBlogEntry(BlogEntry blogEntry)

### hasBlogEntries

    public boolean hasBlogEntries()

  Determines whether this day has entries.

  Returns:
    true if this blog contains entries, false otherwise

### getPreviousDay

    public Day getPreviousDay()

  Gets the Day instance for the previous day.

  Returns:
    a Day instance

### getNextDay

    public Day getNextDay()

  Gets the Day instance for the next day.

  Returns:
    a Day instance

### getPreviousBlogEntry

    public java.lang.String getPreviousBlogEntry(java.lang.String blogEntry)

  Gets the blog entry posted previous (before) to the one specified.

  Parameters:
    `blogEntry` - a BlogEntry
  Returns:
    the previous BlogEntry, or null if one doesn't exist

### getFirstBlogEntry

    public java.lang.String getFirstBlogEntry()

  Gets the first entry that was posted on this day.

  Returns:
    a BlogEntry instance, or null is no entries have been posted

### getLastBlogEntry

    public java.lang.String getLastBlogEntry()

  Gets the last entry that was posted on this day.

  Returns:
    a BlogEntry instance, or null is no entries have been posted

### getNextBlogEntry

    public java.lang.String getNextBlogEntry(java.lang.String blogEntry)

  Gets the blog entry posted next (afterwards) to the one specified.

  Parameters:
    `blogEntry` - a BlogEntry
  Returns:
    the next BlogEntry, or null if one doesn't exist

### getStartOfDay

    public java.util.Date getStartOfDay()

### getEndOfDay

    public java.util.Date getEndOfDay()

### before

    public boolean before(Day day)

  Determines if the this Day is before (in the calendar) the specified Day.

  Returns:
    true if this instance represents an earlier month than the specified Day instance, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.